Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class DeviceInfo

    java.lang.Object
      |
      +--oracle.portal.provider.v1.DeviceInfo

public class DeviceInfo
extends java.lang.Object

A Class class.

Author:
  Michael Freedman

Inner Class Summary
`static class` | `DeviceInfo.DeviceClass`
`static class` | `DeviceInfo.DeviceOrientation` To level nested class representing the enumerated types used to represent data members of deviceInfos.

Constructor Summary
`DeviceInfo(DeviceInfo.DeviceClass deviceClass, DeviceInfo.DeviceOrientation orientation, long maxDocSize, boolean secure)`

Method Summary
`DeviceInfo.DeviceClass` | `getDeviceClass()`
`long` | `getMaxDocSize()`
`DeviceInfo.DeviceOrientation` | `getOrientation()`
`boolean` | `isClientConnectionSecure()`
`void` | `setClientConnectionSecure(boolean secure)`
`void` | `setDeviceClass(DeviceInfo.DeviceClass deviceClass)`
`void` | `setMaxDocSize(long maxDocSize)`
`void` | `setOrientation(DeviceInfo.DeviceOrientation orientation)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceInfo

    public DeviceInfo(DeviceInfo.DeviceClass deviceClass,
                      DeviceInfo.DeviceOrientation orientation,
                      long maxDocSize,
                      boolean secure)

Method Detail

### getDeviceClass

    public DeviceInfo.DeviceClass getDeviceClass()

  Returns:
    the classification of the device.

### setDeviceClass

    public void setDeviceClass(DeviceInfo.DeviceClass deviceClass)

  Parameters:
    `the` - classification of the device.

### getOrientation

    public DeviceInfo.DeviceOrientation getOrientation()

  Returns:
    the orientation of the device.

### setOrientation

    public void setOrientation(DeviceInfo.DeviceOrientation orientation)

  Parameters:
    `the` - orientation of the device.

### getMaxDocSize

    public long getMaxDocSize()

  Returns:
    the estimated maximum size in bytes the device supports.

### setMaxDocSize

    public void setMaxDocSize(long maxDocSize)

  Parameters:
    `sets` - the estimated maximum size in bytes the device supports.

### isClientConnectionSecure

    public boolean isClientConnectionSecure()

  Returns:
    whether the connection from the client device to the (gateway) is secure.

### setClientConnectionSecure

    public void setClientConnectionSecure(boolean secure)

  Parameters:
    `sets` - hether the connection from the client device to the (gateway) is secure.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD